# $Revision: 1.431 $, $Date: 2008/06/25 09:52:20 $
# Conditional build:
%bcond_without	static		# don't build static version
%bcond_without	athena		# don't build Athena Widgets-based gvim
%bcond_without	motif		# don't build Motif-based gvim
%bcond_without	gtk		# don't build GTK+-based gvim support
%bcond_without	gnome		# don't build GNOME-based gvim support
%bcond_without	heavy		# don't build heavy (full-featured GNOME-based gvim/vim)
%bcond_with	perl		# with Perl interp in vim package
%bcond_with	python		# with Python interp in vim package
%bcond_with	ruby		# with Ruby interp in vim package
%bcond_with	tcl		# with Tcl interp
%bcond_without	selinux		# without selinux support
%bcond_without	home_etc	# without home_etc support
#
%define		ver		7.1
%define		patchlevel	326

# cflags get changed while configuring
%undefine	configure_cache
#
Summary:	Vi IMproved - a Vi clone
Summary(de.UTF-8):	VIsual editor iMproved
Summary(es.UTF-8):	Editor visual incrementado
Summary(fr.UTF-8):	Editeur VIM : VIsual editor iMproved
Summary(pl.UTF-8):	Vi IMproved - klon edytora Vi
Summary(pt_BR.UTF-8):	Editor visual incrementado
Summary(ru.UTF-8):	Visual editor IMproved - Единственно Правильный Редактор :)
Summary(tr.UTF-8):	Gelişmiş bir vi sürümü
Summary(uk.UTF-8):	Visual editor IMproved - Єдино Вірний Редактор :)
Name:		vim
Version:	%{ver}.%{patchlevel}
Release:	1
Epoch:		4
License:	Charityware
Group:		Applications/Editors/Vim
Source0:	ftp://ftp.vim.org/pub/vim/unix/%{name}-%{ver}.tar.bz2
# Source0-md5:	44c6b4914f38d6f9aa959640b89da329
Source1:	ftp://ftp.vim.org/pub/vim/extra/%{name}-%{ver}-lang.tar.gz
# Source1-md5:	144aa049ba70621acf4247f0459f3ee7
Source2:	ftp://ftp.vim.org/pub/vim/extra/%{name}-%{ver}-extra.tar.gz
# Source2-md5:	605cc7ae31bcc9d7864bb0bb6025f55d
Source3:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source3-md5:	bc4d1e115ca506ad7751b9bd2b773a7f
Source4:	http://skawina.eu.org/mikolaj/usr_doc_pl.zip
# Source4-md5:	ff96284b1c913d55cf0877839b34d490
Source10:	g%{name}-athena.desktop
Source11:	g%{name}-motif.desktop
Source12:	g%{name}-gtk.desktop
Source13:	g%{name}-gnome.desktop
Source14:	%{name}.desktop
# syntax files
# http://www.vim.org/scripts/script.php?script_id=1491 (0.7.5)
Source20:	javascript.vim
Source21:	nagios.vim
# http://www.vim.org/scripts/script.php?script_id=447 (20040206)
Source22:	exim.vim
# http://www.vim.org/scripts/script.php?script_id=1571 (0.9.7)
Source23:	php.vim
# color schemes
# http://www.vim.org/scripts/script.php?script_id=415 (1.15)
Source30:	zenburn.vim
# http://www.vim.org/scripts/script.php?script_id=92 (1.0)
Source31:	borland.vim
# http://www.vim.org/scripts/script.php?script_id=368 (1.2.5)
Source32:	oceandeep.vim
# http://www.vim.org/scripts/script.php?script_id=1464 (2.6.3)
Source33:	moria.vim
Patch0:		%{name}-sysconfdir.patch
Patch1:		%{name}-visual.patch
Patch2:		%{name}-paths.patch
Patch3:		%{name}-%{name}rc.patch
Patch4:		%{name}-no_libelf.patch
Patch5:		%{name}-egrep.patch
Patch6:		%{name}-awk.patch
Patch7:		%{name}-filetype_vim-perl_tests.patch
Patch8:		%{name}-apache.patch
Patch9:		%{name}-po-syntax.patch
Patch10:	%{name}-modprobe.patch
Patch11:	%{name}-doubleparenthesis.patch
Patch12:	%{name}-syntax-fstab.patch
Patch13:	010_all_%{name}-6.3-vixie.patch
Patch14:	013_all_%{name}-7.0-cron-vars-79981.patch
Patch15:	020_all_%{name}-7.0-fstab-tmpfs-size.patch
Patch16:	021_all_%{name}-7.0-fstab-bogus-errors.patch
Patch17:	024_all_%{name}-6.3-bash-83565.patch
Patch18:	027_all_%{name}-7.0-automake-substitutions-93378.patch
Patch19:	%{name}-smarty.patch
Patch20:	%{name}-tutor-lessdeps.patch
Patch21:	%{name}-nagios.patch
Patch22:	%{name}-filetypes.patch
Patch23:	%{name}-man_installation.patch
Patch102:	%{name}-gtkfilechooser.patch
Patch104:	%{name}-home_etc.patch
Patch105:	%{name}-autopaste.patch
Patch106:	%{name}-ft-cron.patch
%patchset_source -f ftp://ftp.vim.org/pub/editors/vim/patches/7.1/7.1.%03g 1 %{patchlevel}
URL:		http://www.vim.org/
BuildRequires:	acl-devel
BuildRequires:	autoconf
BuildRequires:	gettext-devel
BuildRequires:	gpm-devel
%if "%{pld_release}" == "ac"
%{?with_athena:BuildRequires:	XFree86-devel}
%else
%{?with_athena:BuildRequires:	xorg-lib-libXaw-devel}
%endif
%if %{with gtk} || %{with heavy}
BuildRequires:	gtk+2-devel >= 2:2.6.0
%endif
%{?with_gnome:BuildRequires:	libgnomeui-devel >= 2.2.0.1}
%if %{with selinux} || %{with heavy}
BuildRequires:	libselinux-devel
%endif
BuildRequires:	ncurses-devel
%{?with_motif:BuildRequires:	openmotif-devel}
%if %{with perl} || %{with heavy}
BuildRequires:	perl-devel
%endif
%if %{with python} || %{with heavy}
BuildRequires:	python-devel
%endif
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.426
%if %{with ruby} || %{with heavy}
BuildRequires:	ruby-devel
%endif
%if %{with tcl} || %{with heavy}
BuildRequires:	tcl-devel
%endif
Obsoletes:	kvim
%if %{with static}
BuildRequires:	acl-static
BuildRequires:	attr-static
BuildRequires:	glibc-static
%{?with_selinux:BuildRequires:	libselinux-static}
BuildRequires:	ncurses-static
%else
Provides:	%{name}-static = %{epoch}:%{version}-%{release}
Obsoletes:	elvis-static
Obsoletes:	nvi
Obsoletes:	vi
Obsoletes:	vim-minimal
Obsoletes:	vim-static
%endif
BuildRequires:	unzip
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}
Provides:	vi-editor
Provides:	vi
Obsoletes:	vim-enhanced
Obsoletes:	vim-ispell
Obsoletes:	vim-plugin-multvals
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# that's example script
%define		_noautoreq	'/bin/csh'

%description
Text editor similar to Vi. Important improvements: multiple windows,
multi-level undo, block highliting, folding, and many other.

%description -l cs.UTF-8
ViM je nový a vylepšený editor vycházející z klasického editoru vi. Vi
byl prvním celoobrazovkovým editorem pro Unix a je stále velmi
populární. ViM je obohacený funkcemi jako: podpora více oken,
víceúrovňové undo, zvýrazňování bloků a řadu dalších užitečných
funkcí.

%description -l de.UTF-8
Der Visual-Editor iMproved ist ein aktualisierter und erweiterter Klon
des vi-Editors, der mit praktisch allen UN*X-Systemen ausgeliefert
wird. Er bringt mehrere Fenster, mehrstufige Widerrufen-Funktion,
Block-Markierung und viele weitere Zusatzfunktionen im Vergleich zum
Standard-vi-Programm.

%description -l es.UTF-8
El editor Visual Mejorado es una versión actualizada y con nuevas
características adicionales del mundialmente famoso 'vi' que acompaña
prácticamente todos los sistemas UN*X. Posibilita trabajar con
múltiples ventanas, varios niveles de deshacer, bloques enfatizados, y
otras muchas características del 'vi'.

%description -l fr.UTF-8
L'éditeur VIsuel aMélioré est un clone mis à jour et doté de
caractéristiques supplémentaires de l'éditeur « vi » fourni avec
pratiquement tous les systèmes UN*X. Il ajoute les fenêtres
mutltiples, l'annulation a plusieurs niveaux, la mise en évidence des
blocs et autres caractéristiques au vi de base.

%description -l id.UTF-8
VIM (VIsual editor iMproved) adalah versi vi editor yang sudah
diupdate dan ditambah kemampuannya. Vi adalah editor untuk UNIX yang
pertama yang menggunakan layar, dan sekarang masih sangat populer. VIM
mengembangkan vi dengan menambah kemampuan baru seperti: multiple
windows, multi-level undo, block highlighting, dll.

%description -l is.UTF-8
VIM (VIsual editor iMproved) er uppfærð og endurbætt útgáfa af vi
ritlinum. Vi var fyrsti skjá-ritillinn fyrir UNIX og er enn mjög
vinsæll. VIM gerist föðurbetrungur með nýjum möguleikum líkt og
gluggakerfi, iðrun og yfirbót (e: multi-level undo), blokkarvali og
fleira.

%description -l it.UTF-8
VIM (Vi IMproved) è una versione aggiornata e perfezionata dell'editor
vi. Vi è stato il primo editor per UNIX realmente basato su video ed è
ancora molto diffuso. VIM perfeziona vi aggiungendo nuove funzioni:
finestre multiple, funzione \"annulla\" multilivello, evidenziazione
dei blocchi e altro.

%description -l pl.UTF-8
Edytor tekstu podobny do Vi. Ważne ulepszenia: możliwość pracy w wielu
oknach, wielopoziomowa opcja 'cofnij', bloki, podświetlanie składni,
folding i wiele innych.

%description -l pt.UTF-8
O VIM (VIsual editor iMproved) é uma versão melhorada e actualizada do
editor vi. O vi foi o primeiro verdadeiro editor baseado em ecrã para
o UNIX, e ainda é muito popular. O VIM melhora o vi acrescentando
novas potencialidades: janelas múltiplas, anulação multi-nível, realce
de blocos e mais.

%description -l pt_BR.UTF-8
O editor Vim (Vi Enhanced) é um versão atualizada e com novas
características do mundialmente famoso 'vi' que acompanha praticamente
todos os sistemas UN*X. Ele possibilita trabalhar com múltiplas
janelas, vários níveis de desfazer, blocos enfatizados, e muitas
outras características do 'vi'.

%description -l ru.UTF-8
VIsual editor iMproved - это обновленный и значительно улучшенный клон
редактора vi, который поставляется практически со всеми
UN*X-системами. В этой версии есть многоуровневый откат, выделение
блоков, синтаксическая подсветка и много другого...

%description -l sk.UTF-8
VIM (VIsual editor iMproved) je novšia a vylepšená verzia editoru vi.
Vi bol prvým skutočne obrazovkovo orientovaným editorom pre UNIX a
stále je veľmi populárny. VIM má oproti vi vylepšenia ako: prácu s
viacerými oknami, viacnásobné undo, zvýrazňovanie blokov textu a iné.

%description -l sv.UTF-8
VIM (Vi IMproved) är en uppdaterad och förbättrad version av
redigeraren vi. Vi var den första riktiga skärmbaserade redigeraren
till UNIX, och är fortfarande väldigt populär. VIM förbättrar vi med
nya finesser: flera fönster, flernivå ångra, blockmarkering och mer
ändå.

%description -l tr.UTF-8
Standart vi metin düzenleyicisinin gelişmiş hali; daha fazla komut,
birden fazla pencere desteği ve blok işaretleme yetenekleri içerir.

%description -l uk.UTF-8
VIsual editor iMproved - це оновлений та значно поліпшений клон
редактора vi, який поставляється практично зі всіма UN*X-системами. В
цій версії є багаторівневий відкат, виділення блоків, синтаксична
підсвітка та багато іншого...

%package -n xxd
Summary:	Utility to convert files to hexdump or do the reverse
Summary(pl.UTF-8):	Narzędzie do zamiany plików na postać szesnastkową i odwrotnie
Group:		Applications/Editors/Vim

%description -n xxd
xxd creates a hex dump of a given file or standard input. It can also
convert a hex dump back to its original binary form. Like uuencode and
uudecode it allows the transmission of binary data in a `mail-safe'
ASCII representation, but has the advantage of decoding to standard
output. Moreover, it can be used to perform binary file patching.

%description -n xxd -l pl.UTF-8
xxd tworzy szesnastkowy zapis pliku podanego na standardowe wejście.
Może także przekonwertować taki zapis na oryginalną, binarną postać.
Podobnie jak uuencode i uudecode pozwala na przesyłanie danych
binarnych w postaci ASCII, ale ma możliwość dekodowania na standardowe
wyjście. Co więcej, może być użyty do modyfikowania plików binarnych.

%package heavy
Summary:	Full featured build of Vim
Summary(pl.UTF-8):	W pełni funkcjonalna wersja Vim-a
Group:		Applications/Editors/Vim
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}
Provides:	vi-editor
Provides:	vi
Obsoletes:	vim-enhanced
Obsoletes:	vim-ispell
Obsoletes:	vim-plugin-multvals

%description heavy
This package provides full featured version of Vim, which includes
support for Perl, Python, Ruby and Tcl scripting.

%description heavy -l pl.UTF-8
Pakiet ten dostarcza w pełni funkcjonalną wersję Vim-a, czyli
zawierającą wsparcie dla skryptowania w językach Perl, Python, Ruby
oraz Tcl.

%package static
Summary:	Statically linked Vim
Summary(pl.UTF-8):	Statycznie skonsolidowany Vim
Group:		Applications/Editors/Vim
Provides:	vi-editor
Provides:	vi
Obsoletes:	elvis-static
Obsoletes:	nvi
Obsoletes:	vim-minimal

%description static
Text editor similar to Vi. This version is built with minimal feature
and is installed in /bin as a rescue tool. The installation of this
package is STRONGLY recommended.

%description static -l pl.UTF-8
Edytor tekstu podobny do Vi. Ta wersja została skonsolidowana
statycznie i posiada minimalną ilość dodatków. Jest instalowana w /bin
jako narzędzie dla administratora. Instalacja tego pakietu jest MOCNO
zalecana, może on pomóc Ci uratować system w czasie awarii.

%description static -l ru.UTF-8
Пакет vim-static устанавливает разновидность vim как /bin/vi, что
удобно для запуска даже когда смонтирована только корневая файловая
система.

%description static -l uk.UTF-8
Пакет vim-static встановлює різновид vim як /bin/vi, що зручно для
запуску навіть тоді, коли змонтована тільки корньова файлова система.

%package rt
Summary:	Vim runtime files
Summary(cs.UTF-8):	Soubory nezbytné pro libovolný editor ViM
Summary(da.UTF-8):	Fælles filer som er nødvendige for enhver version af VIM editoren
Summary(de.UTF-8):	Die von allen Versionen des VIM-Editors benötigten gemeinsamen Dateien
Summary(es.UTF-8):	Ficheros comunes a todas las versiones de VIM
Summary(fr.UTF-8):	Fichiers communs indispensables pour toute version de l'éditeur VIM
Summary(id.UTF-8):	File umum yang dibutuhkan oleh semua versi editor VIM
Summary(is.UTF-8):	Grunnskrár sem allar útgáfur VIM ritilsins þurfa á að halda
Summary(it.UTF-8):	File comuni necessari per tutte le versioni dell'editor VIM
Summary(ja.UTF-8):	すべてのバージョンの VIM エディタで必要とされる共通ファイル
Summary(nb.UTF-8):	Felles filer som er nødvendige for enhver versjon av VIM editoren
Summary(pl.UTF-8):	Pliki przydatne edytorowi Vim
Summary(pt.UTF-8):	Os ficheiros comuns necessários para qualquer versão do editor VIM
Summary(ru.UTF-8):	Файлы, требуемые для любой версии редактора vim
Summary(sk.UTF-8):	Spoločné súbory potrebné pre všetky verzie editoru VIM
Summary(sl.UTF-8):	Skupne datoteke, potrebne s katerokoli različico urejevalnika VIM
Summary(sv.UTF-8):	De gemensamma filerna som behövs av alla versioner av redigeraren VIM
Summary(uk.UTF-8):	Файли, потрібні для будь-якої версії редактору vim
Summary(zh_CN.UTF-8):	任何版本的 VIM 编辑器所需的公用文件。
Group:		Applications/Editors/Vim
# for hicolor icons
Requires:	hicolor-icon-theme
Requires:	vim-plugin-securemodelines
Requires:	vim-syntax-spec
# mktemp is for vimtutor
Requires:	mktemp
Obsoletes:	gvim-bonobo
Obsoletes:	vim-common

%description rt
This package contains macros, documentation, syntax configuration and
manual pages for Vim. If you want to take advantage of Vim more
powerful features, you should install this package.

%description rt -l cs.UTF-8
Tento balíček obsahuje společné soubory pro všechny další balíčky s
vim.

%description rt -l da.UTF-8
The vim-rt package contains files which every VIM binary will need in
order to run.

%description rt -l de.UTF-8
Das Paket vim-rt enthält Dateien, die jede VIM-Binärdatei für die
Ausführung benötigt.

%description rt -l fr.UTF-8
Le paquetage vim-rt contient des fichiers dont chaque fichier binaire
VIM a besoin pour fonctionner.

%description rt -l id.UTF-8
Package vim-rt berisi file yang dibutuhkan semua versi VIM agar bisa
berjalan.

%description rt -l is.UTF-8
vim-rt pakkinn inniheldur skrár sem allar VIM keyrsluskrárnar þurfa
til að keyra.

%description rt -l it.UTF-8
Il pacchetto vim-rt contiene i file necessari a ogni binario di VIM
per poter funzionare.

%description rt -l pl.UTF-8
W tym pakiecie znajdziesz dokumentację, makra, pliki konfiguracyjne i
strony podręcznika dla edytora Vim. Jeżeli chcesz korzystać z
zaawansowanych możliwości Vima, powinieneś zainstalować ten pakiet.

%description rt -l pt.UTF-8
O pacote vim-rt contém os ficheiros que todos os executáveis do VIM
irão necessitar para correr.

%description rt -l ru.UTF-8
Пакет vim-rt содержит файлы (например, файлы справки), которые нужны
для работы любой программы vim.

%description rt -l sk.UTF-8
Balík vim-rt obsahuje súbory, ktoré bude potrebovať pre správnu
funkciu každá verzia editoru VIM.

%description rt -l sv.UTF-8
Paketet vim-rt innehåller filer som alla VIM-binärer behöver för att
köra.

%description rt -l uk.UTF-8
Пакет vim-rt містить файли (наприклад, файли довідки), котрі потрібні
для роботи будь-якої програми vim.

%package spell-en
Summary:	English dictionaries for VIMspell
Summary(pl.UTF-8):	Angielskie słowniki dla VIMspella
Group:		Applications/Editors/Vim
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}

%description spell-en
English dictionaries for VIMspell.

%description spell-en -l pl.UTF-8
Angielskie słowniki dla VIMspella.

%package -n gvim-athena
Summary:	Vim for X Window built with Athena
Summary(pl.UTF-8):	Vim dla X Window korzystający z biblioteki Athena
Group:		Applications/Editors/Vim
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}
Requires:	iconv
Provides:	gvim
Provides:	vi-editor
Obsoletes:	vim-X11

%description -n gvim-athena
The classic Unix text editor now also under X Window System! This
version is built with Athena Widget Set.

%description -n gvim-athena -l pl.UTF-8
Wersja edytora Vim pracująca w środowisku X Window z wykorzystaniem
biblioteki Athena Widget Set.

%description -n gvim-athena -l ru.UTF-8
Этот пакет представляет собой версию VIM, собранную с библиотеками
Athena Widget Set, что позволяет запускать VIM как приложение X Window
System - с полностью графическим интерфейсом и поддержкой мыши.

%description -n gvim-athena -l uk.UTF-8
Цей пакет містить версію VIM, зібрану з бібліотеками Athena Widget
Set, що дозволяє запускати VIM як прикладну програму X Window System -
з повністю графічним інтерфейсом та підтримкою миші.

%package -n gvim-motif
Summary:	Vim for X Window built with Motif
Summary(pl.UTF-8):	Vim dla X Window korzystający z biblioteki Motif
Group:		Applications/Editors/Vim
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}
Requires:	iconv
Provides:	gvim
Provides:	vi-editor
Obsoletes:	vim-X11

%description -n gvim-motif
The classic Unix text editor now also under X Window System! This
version is built with Motif.

%description -n gvim-motif -l pl.UTF-8
Wersja edytora Vim pracująca w środowisku X Window z wykorzystaniem
biblioteki Motif.

%description -n gvim-motif -l ru.UTF-8
Этот пакет представляет собой версию VIM, собранную с библиотеками
Motif, что позволяет запускать VIM как приложение X Window System - с
полностью графическим интерфейсом и поддержкой мыши.

%description -n gvim-motif -l uk.UTF-8
Цей пакет містить версію VIM, зібрану з бібліотеками Motif, що
дозволяє запускати VIM як прикладну програму X Window System - з
повністю графічним інтерфейсом та підтримкою миші.

%package -n gvim-gtk
Summary:	Vim for X Window built with gtk
Summary(pl.UTF-8):	Vim dla X Window korzystający z biblioteki GTK
Group:		Applications/Editors/Vim
Requires(post,postun):	gtk+2
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}
Requires:	iconv
Provides:	gvim
Provides:	vi-editor
Obsoletes:	vim-X11

%description -n gvim-gtk
The classic Unix text editor now also under X Window System! This
version is built with GTK.

%description -n gvim-gtk -l pl.UTF-8
Wersja edytora Vim pracująca w środowisku X Window z wykorzystaniem
biblioteki GTK.

%description -n gvim-gtk -l ru.UTF-8
Этот пакет представляет собой версию VIM, собранную с библиотеками
GTK, что позволяет запускать VIM как приложение X Window System - с
полностью графическим интерфейсом и поддержкой мыши. Просто скажите
'gvim'...

%description -n gvim-gtk -l uk.UTF-8
Цей пакет містить версію VIM, зібрану з бібліотеками GTK, що дозволяє
запускати VIM як прикладну програму X Window System - з повністю
графічним інтерфейсом та підтримкою миші. Просто скажіть 'gvim'...

%package -n gvim-gnome
Summary:	Vim for X Window built with GNOME
Summary(pl.UTF-8):	Vim dla X Window korzystający z biblioteki GNOME
Group:		Applications/Editors/Vim
Requires(post,postun):	gtk+2
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}
Requires:	iconv
Provides:	gvim
Provides:	vi-editor
Obsoletes:	vim-X11

%description -n gvim-gnome
The classic Unix text editor now also under X Window System! This
version is build with GNOME.

%description -n gvim-gnome -l pl.UTF-8
Wersja edytora Vim pracująca w środowisku X Window z wykorzystaniem
bibliotek GNOME.

%description -n gvim-gnome -l ru.UTF-8
Этот пакет представляет собой версию VIM, собранную с библиотеками
GNOME, что позволяет запускать VIM как приложение X Window System - с
полностью графическим интерфейсом и поддержкой мыши.

%description -n gvim-gnome -l uk.UTF-8
Цей пакет містить версію VIM, зібрану з бібліотеками GNOME, що
дозволяє запускати VIM як прикладну програму X Window System - з
повністю графічним інтерфейсом та підтримкою миші.

%package -n gvim-heavy
Summary:	Full featured build of Vim with X-window support
Summary(pl.UTF-8):	W pełni funkcjonalna wersja Vim-a ze wsparciem dla X-window
Group:		Applications/Editors/Vim
Requires(post,postun):	gtk+2
Requires:	%{name}-rt = %{epoch}:%{version}-%{release}
Requires:	iconv
Provides:	gvim
Provides:	vi-editor
Obsoletes:	vim-X11

%description -n gvim-heavy
This package provides full featured version of Vim, which includes
support for Perl, Python, Ruby and Tcl scripting, as well as GTK+2
GUI.

%description heavy -l pl.UTF-8
Pakiet ten dostarcza w pełni funkcjonalną wersję Vim-a, czyli
zawierającą wsparcie dla skryptowania w językach Perl, Python, Ruby
oraz Tcl jak również GUI GTK+2.

%prep
%setup -q -n %{name}71 -b1 -b2

# official patches
%patchset_patch 1 %{patchlevel}

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p0
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p0
%patch18 -p0
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1

# home etc
%{?with_home_etc:%patch104 -p1}

# autopaste patch - automatically switch to paste mode
# when`really fast typing' situation happens
%patch105 -p1

%patch106 -p1

install %{SOURCE20} runtime/syntax
install %{SOURCE21} runtime/syntax
install %{SOURCE22} runtime/syntax
install %{SOURCE23} runtime/syntax
install %{SOURCE30} runtime/colors
install %{SOURCE31} runtime/colors
install %{SOURCE32} runtime/colors

%build
cd src
%{__autoconf}
# needed to prevent deconfiguring
cp -f configure auto
install -d bin

build() {
	set -x
	local target=$1
	shift

	%{__make} distclean
	# add common options, can override (disable) if needed with args
	%configure \
		--%{!?with_perl:dis}%{?with_perl:en}able-perlinterp \
		--%{!?with_python:dis}%{?with_python:en}able-pythoninterp \
		--%{!?with_ruby:dis}%{?with_ruby:en}able-rubyinterp \
		--%{!?with_tcl:dis}%{?with_tcl:en}able-tclinterp \
		%{!?with_selinux:--disable-selinux} \
		--enable-cscope \
		--enable-gpm \
		--enable-multibyte \
		--enable-nls \
		--with-tlib="ncurses -ltinfo" \
		--with-modifiedby="PLD Linux Distribution" \
		--with-compiledby="PLD Linux Distribution" \
		"$@"

	%{__make} vim
	mv -f vim bin/$target
}

%if %{with static}
LDFLAGS="%{rpmldflags} -static"
build vim.static \
	--disable-gui \
	--without-x \
	--with-features=small \
	--disable-perlinterp \
	--disable-pythoninterp \
	--disable-rubyinterp \
	--disable-tclinterp \
	--disable-cscope \
	--disable-gpm \
	--disable-multibyte \
	--disable-nls

LDFLAGS="%{rpmldflags}"
%endif

build vim.ncurses \
	--disable-gui \
	--without-x \
	--with-features=huge

%if %{with athena}
build gvim.athena \
	--with-features=huge \
	--enable-gui=athena \
	--with-x \
	--enable-fontset \
	--disable-gpm \
	--without-gnome

%endif

%if %{with motif}
build gvim.motif \
	--with-features=huge \
	--enable-gui=motif \
	--with-x \
	--enable-multibyte \
	--enable-fontset \
	--disable-gpm \
	--without-gnome

%endif

%if %{with gtk}
build gvim.gtk \
	--with-features=huge \
	--enable-gui=gtk2 \
	--enable-gtk2-check \
	--with-x \
	--disable-gpm

%endif

%if %{with gnome}
build gvim.gnome \
	--with-features=huge \
	--enable-gui=gnome2 \
	--enable-gtk2-check \
	--enable-gnome-check \
	--with-x \
	--disable-gpm

%endif

# vim.heavy / gvim.heavy
%if %{with heavy}
build vim.heavy \
	--with-features=huge \
	--disable-gui \
	--without-x \
	--enable-perlinterp \
	--enable-pythoninterp \
	--enable-rubyinterp \
	--enable-tclinterp \
	--disable-gpm

build gvim.heavy \
	--with-features=huge \
	--enable-gui=gnome2 \
	--enable-gtk2-check \
	--enable-gnome-check \
	--with-x \
	--enable-perlinterp \
	--enable-pythoninterp \
	--enable-rubyinterp \
	--enable-tclinterp \
	--disable-gpm

%endif

%{__make} xxd/xxd languages

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sysconfdir}/vim,%{_bindir}} \
	$RPM_BUILD_ROOT{/bin,%{_mandir}/man1,%{_datadir}/vim} \
	$RPM_BUILD_ROOT%{_desktopdir}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_bindir}/*

%if %{with static}
install src/bin/vim.ncurses	$RPM_BUILD_ROOT%{_bindir}/vim
install src/bin/vim.static	$RPM_BUILD_ROOT/bin/vi
%else
install src/bin/vim.ncurses	$RPM_BUILD_ROOT/bin/vi
ln -sf /bin/vi		$RPM_BUILD_ROOT%{_bindir}/vim
%endif
install src/xxd/xxd	$RPM_BUILD_ROOT%{_bindir}/xxd
install src/vimtutor	$RPM_BUILD_ROOT%{_bindir}/vimtutor

# Moved into patch
#
# rm -f $RPM_BUILD_ROOT%{_mandir}/man1/*.1
# install runtime/doc/vim.1 $RPM_BUILD_ROOT%{_mandir}/man1
# install runtime/doc/xxd.1 $RPM_BUILD_ROOT%{_mandir}/man1
# install runtime/doc/vimtutor.1 $RPM_BUILD_ROOT%{_mandir}/man1
# echo ".so vim.1" > $RPM_BUILD_ROOT%{_mandir}/man1/ex.1
# echo ".so vim.1" > $RPM_BUILD_ROOT%{_mandir}/man1/rview.1
# echo ".so vim.1" > $RPM_BUILD_ROOT%{_mandir}/man1/rvim.1
# echo ".so vim.1" > $RPM_BUILD_ROOT%{_mandir}/man1/view.1

echo ".so vim.1" > $RPM_BUILD_ROOT%{_mandir}/man1/vi.1
echo ".so vim.1" > $RPM_BUILD_ROOT%{_mandir}/man1/view.1

# not supported directories
rm -rf $RPM_BUILD_ROOT%{_mandir}/??.*/

mv -f $RPM_BUILD_ROOT%{_datadir}/vim/v*/vimrc_example.vim $RPM_BUILD_ROOT%{_sysconfdir}/vim/vimrc
mv -f $RPM_BUILD_ROOT%{_datadir}/vim/v*/gvimrc_example.vim $RPM_BUILD_ROOT%{_sysconfdir}/vim/gvimrc

ln -sf vim $RPM_BUILD_ROOT%{_bindir}/eview
ln -sf vim $RPM_BUILD_ROOT%{_bindir}/evim
ln -sf vim $RPM_BUILD_ROOT%{_bindir}/rvim
ln -sf vim $RPM_BUILD_ROOT%{_bindir}/vimdiff
ln -sf vi  $RPM_BUILD_ROOT/bin/ex
ln -sf vi  $RPM_BUILD_ROOT/bin/view
ln -sf vi  $RPM_BUILD_ROOT/bin/rview

install %{SOURCE14}	$RPM_BUILD_ROOT%{_desktopdir}

%if %{with athena}
install src/bin/gvim.athena	$RPM_BUILD_ROOT%{_bindir}/gvim.athena
install %{SOURCE10}	$RPM_BUILD_ROOT%{_desktopdir}
%endif
%if %{with motif}
install src/bin/gvim.motif	$RPM_BUILD_ROOT%{_bindir}/gvim.motif
install %{SOURCE11}	$RPM_BUILD_ROOT%{_desktopdir}
%endif
%if %{with gnome}
install src/bin/gvim.gnome	$RPM_BUILD_ROOT%{_bindir}/gvim.gnome
install %{SOURCE13}	$RPM_BUILD_ROOT%{_desktopdir}
%endif
%if %{with gtk}
install src/bin/gvim.gtk	$RPM_BUILD_ROOT%{_bindir}/gvim.gtk
ln -sf gvim.gtk		$RPM_BUILD_ROOT%{_bindir}/gvim
ln -sf gvim		$RPM_BUILD_ROOT%{_bindir}/gview
ln -sf gvim		$RPM_BUILD_ROOT%{_bindir}/gvimdiff
ln -sf gvim		$RPM_BUILD_ROOT%{_bindir}/rgview
ln -sf gvim		$RPM_BUILD_ROOT%{_bindir}/rgvim
install %{SOURCE12}	$RPM_BUILD_ROOT%{_desktopdir}
%endif
%if %{with heavy}
install src/bin/vim.heavy	$RPM_BUILD_ROOT%{_bindir}
install src/bin/gvim.heavy	$RPM_BUILD_ROOT%{_bindir}
%endif

install -d $RPM_BUILD_ROOT%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install runtime/vim16x16.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/apps/vim.png
install runtime/vim32x32.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/vim.png
install runtime/vim48x48.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/vim.png

bzip2 -dc %{SOURCE3} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

unzip -qd $RPM_BUILD_ROOT%{_datadir}/vim/v*/doc %{SOURCE4}

install -d $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/{doc,{after/,}{compiler,ftdetect,ftplugin,indent,plugin,spell,syntax}}
> $RPM_BUILD_ROOT%{_datadir}/vim/vimfiles/doc/tags

# separate package
%{__rm} $RPM_BUILD_ROOT%{_datadir}/vim/vim71/{ftplugin,syntax}/spec.vim

# no autodeps
chmod a-x $RPM_BUILD_ROOT%{_datadir}/vim/vim71/doc/vim2html.pl
chmod a-x $RPM_BUILD_ROOT%{_datadir}/vim/vim71/tools/shtags.pl
chmod a-x $RPM_BUILD_ROOT%{_datadir}/vim/vim71/tools/pltags.pl
chmod a-x $RPM_BUILD_ROOT%{_datadir}/vim/vim71/tools/efm_perl.pl
chmod a-x $RPM_BUILD_ROOT%{_datadir}/vim/vim71/tools/efm_filter.pl

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/bin/update-desktop-database ] || %update_desktop_database

%postun
[ ! -x /usr/bin/update-desktop-database ] || %update_desktop_database

%post -n gvim-athena
[ ! -x /usr/bin/update-desktop-database ] || %update_desktop_database

%postun -n gvim-athena
[ ! -x /usr/bin/update-desktop-database ] || %update_desktop_database

%post -n gvim-motif
[ ! -x /usr/bin/update-desktop-database ] || %update_desktop_database

%postun -n gvim-motif
[ ! -x /usr/bin/update-desktop-database ] || %update_desktop_database

%post -n gvim-gtk
[ ! -x /usr/bin/update-desktop-database ] || %update_desktop_database
%update_icon_cache hicolor

%postun -n gvim-gtk
[ ! -x /usr/bin/update-desktop-database ] || %update_desktop_database
%update_icon_cache hicolor

%post -n gvim-gnome
%update_desktop_database_post
%update_icon_cache hicolor

%postun -n gvim-gnome
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/eview
%attr(755,root,root) %{_bindir}/evim
%attr(755,root,root) %{_bindir}/rvim
%attr(755,root,root) %{_bindir}/vim
%attr(755,root,root) %{_bindir}/vimdiff
%{_mandir}/man1/eview.1*
%{_mandir}/man1/evim.1*
%{_mandir}/man1/rvim.1*
%{_mandir}/man1/vimdiff.1*
%lang(fi) %{_mandir}/fi/man1/rvim.1*
%lang(fr) %{_mandir}/fr/man1/eview.1*
%lang(fr) %{_mandir}/fr/man1/evim.1*
%lang(fr) %{_mandir}/fr/man1/rvim.1*
%lang(fr) %{_mandir}/fr/man1/vimdiff.1*
%lang(id) %{_mandir}/id/man1/rvim.1*
%lang(it) %{_mandir}/it/man1/eview.1*
%lang(it) %{_mandir}/it/man1/evim.1*
%lang(it) %{_mandir}/it/man1/rvim.1*
%lang(it) %{_mandir}/it/man1/vimdiff.1*
%lang(pl) %{_mandir}/pl/man1/eview.1*
%lang(pl) %{_mandir}/pl/man1/evim.1*
%lang(pl) %{_mandir}/pl/man1/rvim.1*
%lang(pl) %{_mandir}/pl/man1/vimdiff.1*
%lang(ru) %{_mandir}/ru/man1/eview.1*
%lang(ru) %{_mandir}/ru/man1/evim.1*
%lang(ru) %{_mandir}/ru/man1/rvim.1*
%lang(ru) %{_mandir}/ru/man1/vimdiff.1*
%{_desktopdir}/%{name}.desktop

%if %{with static}
%files static
%endif
%defattr(644,root,root,755)
%attr(755,root,root) /bin/*
%{_mandir}/man1/vi.1*
%{_mandir}/man1/ex.1*
%{_mandir}/man1/view.1*
%{_mandir}/man1/rview.1*
%lang(fi) %{_mandir}/fi/man1/vi.1*
%lang(fi) %{_mandir}/fi/man1/ex.1*
%lang(fi) %{_mandir}/fi/man1/view.1*
%lang(fi) %{_mandir}/fi/man1/rview.1*
%lang(fr) %{_mandir}/fr/man1/vi.1*
%lang(fr) %{_mandir}/fr/man1/ex.1*
%lang(fr) %{_mandir}/fr/man1/view.1*
%lang(fr) %{_mandir}/fr/man1/rview.1*
%lang(id) %{_mandir}/id/man1/vi.1*
%lang(id) %{_mandir}/id/man1/ex.1*
%lang(id) %{_mandir}/id/man1/view.1*
%lang(id) %{_mandir}/id/man1/rview.1*
#%lang(it) %{_mandir}/it/man1/vi.1*
%lang(it) %{_mandir}/it/man1/ex.1*
%lang(it) %{_mandir}/it/man1/view.1*
%lang(it) %{_mandir}/it/man1/rview.1*
%lang(pl) %{_mandir}/pl/man1/vi.1*
%lang(pl) %{_mandir}/pl/man1/ex.1*
%lang(pl) %{_mandir}/pl/man1/view.1*
%lang(pl) %{_mandir}/pl/man1/rview.1*
#%lang(ru) %{_mandir}/ru/man1/vi.1*
%lang(ru) %{_mandir}/ru/man1/ex.1*
%lang(ru) %{_mandir}/ru/man1/view.1*
%lang(ru) %{_mandir}/ru/man1/rview.1*

%files -n xxd
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xxd
%{_mandir}/man1/xxd.1*
%lang(fr) %{_mandir}/fr/man1/xxd.1*
%lang(it) %{_mandir}/it/man1/xxd.1*
%lang(pl) %{_mandir}/pl/man1/xxd.1*
%lang(ru) %{_mandir}/ru/man1/xxd.1*

%files rt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vimtutor
%dir %{_sysconfdir}/vim
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vim/vimrc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/vim/gvimrc

%dir %{_datadir}/vim
%dir %{_datadir}/vim/v*
%dir %{_datadir}/vim/v*/doc
%doc %{_datadir}/vim/v*/doc/*.txt
%lang(pl) %doc %{_datadir}/vim/v*/doc/*.plx
%attr(755,root,root) %{_datadir}/vim/v*/doc/*.pl
%verify(not md5 mtime size) %{_datadir}/vim/v*/doc/tags
%lang(pl) %verify(not md5 mtime size) %{_datadir}/vim/v*/doc/tags-pl
%{_datadir}/vim/v*/ftplugin
%{_datadir}/vim/v*/indent
%{_datadir}/vim/v*/keymap
%dir %{_datadir}/vim/v*/lang
%doc %{_datadir}/vim/v*/lang/README*

# just add after/ and ftdetect/ separately, other dirs caught by globs above or below
%{_datadir}/vim/vimfiles/after
%{_datadir}/vim/vimfiles/ftdetect

%lang(af) %{_datadir}/vim/v*/lang/menu_af*
%lang(af) %{_datadir}/vim/v*/lang/af/
%lang(ca) %{_datadir}/vim/v*/lang/menu_ca*
%lang(ca) %{_datadir}/vim/v*/lang/ca/
%lang(cs) %{_datadir}/vim/v*/lang/menu_cs*
%lang(cs) %{_datadir}/vim/v*/lang/menu_*czech*
%lang(cs) %{_datadir}/vim/v*/lang/cs/
%lang(de) %{_datadir}/vim/v*/lang/menu_de*
%lang(de) %{_datadir}/vim/v*/lang/menu_*german*
%lang(de) %{_datadir}/vim/v*/lang/de/
%lang(en_GB) %{_datadir}/vim/v*/lang/menu_en_gb*
%lang(en_GB) %{_datadir}/vim/v*/lang/menu_*english*
%lang(en_GB) %{_datadir}/vim/v*/lang/en_GB/
%lang(es) %{_datadir}/vim/v*/lang/menu_es*
%lang(es) %{_datadir}/vim/v*/lang/menu_*spanish*
%lang(es) %{_datadir}/vim/v*/lang/es/
%lang(fr) %{_datadir}/vim/v*/lang/menu_fr*
%lang(fr) %{_datadir}/vim/v*/lang/fr/
%lang(ga) %{_datadir}/vim/v*/lang/ga/
%lang(hu) %{_datadir}/vim/v*/lang/menu_hu*
%lang(it) %{_datadir}/vim/v*/lang/menu_it*
%lang(it) %{_datadir}/vim/v*/lang/it/
%lang(ja) %{_datadir}/vim/v*/lang/menu_ja*
%lang(ja) %{_datadir}/vim/v*/lang/ja/
%lang(ko) %{_datadir}/vim/v*/lang/menu_ko*
%lang(ko) %{_datadir}/vim/v*/lang/ko/
%lang(nl) %{_datadir}/vim/v*/lang/menu_nl*
%lang(nb) %{_datadir}/vim/v*/lang/menu_no*
%lang(nb) %{_datadir}/vim/v*/lang/no/
%lang(pl) %{_datadir}/vim/v*/lang/menu_pl*
%lang(pl) %{_datadir}/vim/v*/lang/menu_*polish*
%lang(pl) %{_datadir}/vim/v*/lang/pl/
%lang(pt) %{_datadir}/vim/v*/lang/menu_pt*
%lang(ru) %{_datadir}/vim/v*/lang/menu_ru*
%lang(ru) %{_datadir}/vim/v*/lang/ru/
%lang(sk) %{_datadir}/vim/v*/lang/menu_sk*
%lang(sk) %{_datadir}/vim/v*/lang/menu_*slovak*
%lang(sk) %{_datadir}/vim/v*/lang/sk/
%lang(sl) %{_datadir}/vim/v*/lang/menu_sl_si*
%lang(sr) %{_datadir}/vim/v*/lang/menu_sr*
%lang(sv) %{_datadir}/vim/v*/lang/menu_sv*
%lang(sv) %{_datadir}/vim/v*/lang/sv/
%lang(uk) %{_datadir}/vim/v*/lang/menu_uk*
%lang(uk) %{_datadir}/vim/v*/lang/uk/
%lang(vi) %{_datadir}/vim/v*/lang/menu_vi*
%lang(vi) %{_datadir}/vim/v*/lang/vi/
%lang(zh_CN) %{_datadir}/vim/v*/lang/menu_zh.cp936*
%lang(zh_CN) %{_datadir}/vim/v*/lang/menu_zh.gb2312*
%lang(zh_CN) %{_datadir}/vim/v*/lang/menu_zh_cn*
%lang(zh_CN) %{_datadir}/vim/v*/lang/menu_*chinese*gb*
%lang(zh_CN) %{_datadir}/vim/v*/lang/zh_CN/
%lang(zh_CN) %{_datadir}/vim/v*/lang/zh_CN.UTF-8/
%lang(zh_TW) %{_datadir}/vim/v*/lang/menu_zh.cp950*
%lang(zh_TW) %{_datadir}/vim/v*/lang/menu_zh.big5*
%lang(zh_TW) %{_datadir}/vim/v*/lang/menu_zh_tw*
%lang(zh_TW) %{_datadir}/vim/v*/lang/menu_*taiwan*
%lang(zh_TW) %{_datadir}/vim/v*/lang/zh_TW/
%lang(zh_TW) %{_datadir}/vim/v*/lang/zh_TW.UTF-8/

%dir %{_datadir}/vim/v*/spell
%{_datadir}/vim/v*/spell/cleanadd.vim
%lang(he) %{_datadir}/vim/v*/spell/he.*
%lang(yi) %{_datadir}/vim/v*/spell/yi.*

%{_datadir}/vim/v*/macros
%{_datadir}/vim/v*/plugin
%{_datadir}/vim/v*/print
%{_datadir}/vim/v*/syntax
%{_datadir}/vim/v*/tools
%{_datadir}/vim/v*/tutor
%{_datadir}/vim/v*/colors
%{_datadir}/vim/v*/compiler
%{_datadir}/vim/v*/autoload
%{_datadir}/vim/v*/*.vim

%{_mandir}/man1/rvim.1*
%{_mandir}/man1/vim.1*
%{_mandir}/man1/vimtutor.1*
%lang(fi) %{_mandir}/fi/man1/rvim.1*
%lang(fi) %{_mandir}/fi/man1/vim.1*
%lang(fr) %{_mandir}/fr/man1/rvim.1*
%lang(fr) %{_mandir}/fr/man1/vim.1*
%lang(fr) %{_mandir}/fr/man1/vimtutor.1*
%lang(id) %{_mandir}/id/man1/vim.1*
%lang(it) %{_mandir}/it/man1/vim.1*
%lang(it) %{_mandir}/it/man1/vimtutor.1*
%lang(pl) %{_mandir}/pl/man1/vim.1*
%lang(pl) %{_mandir}/pl/man1/vimtutor.1*
%lang(ru) %{_mandir}/ru/man1/vim.1*
%lang(ru) %{_mandir}/ru/man1/vimtutor.1*
%{_iconsdir}/hicolor/16x16/apps/vim.png
%{_iconsdir}/hicolor/32x32/apps/vim.png
%{_iconsdir}/hicolor/48x48/apps/vim.png

%if %{with heavy}
%files heavy
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vim.heavy
%endif

%files spell-en
%defattr(644,root,root,755)
%{_datadir}/vim/v*/spell/en.*.*

%if %{with athena}
%files -n gvim-athena
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gvim.athena
%{_desktopdir}/gvim-athena.desktop
%endif

%if %{with motif}
%files -n gvim-motif
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gvim.motif
%{_desktopdir}/gvim-motif.desktop
%endif

%if %{with gtk}
%files -n gvim-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gvim.gtk
%attr(755,root,root) %{_bindir}/gvimdiff
%attr(755,root,root) %{_bindir}/gview
%attr(755,root,root) %{_bindir}/rgvim
%attr(755,root,root) %{_bindir}/rgview
%attr(755,root,root) %verify(not link) %{_bindir}/gvim
%{_mandir}/man1/gvi*
%{_mandir}/man1/rgv*
%lang(fi) %{_mandir}/fi/man1/gvi*
%lang(fi) %{_mandir}/fi/man1/rgv*
%lang(fr) %{_mandir}/fr/man1/gvi*
%lang(fr) %{_mandir}/fr/man1/rgv*
%lang(id) %{_mandir}/id/man1/gvi*
%lang(id) %{_mandir}/id/man1/rgv*
%lang(it) %{_mandir}/it/man1/gvi*
%lang(it) %{_mandir}/it/man1/rgv*
%lang(pl) %{_mandir}/pl/man1/gvi*
%lang(pl) %{_mandir}/pl/man1/rgv*
%lang(ru) %{_mandir}/ru/man1/gvi*
%lang(ru) %{_mandir}/ru/man1/rgv*
%{_desktopdir}/gvim-gtk.desktop
%endif

%if %{with gnome}
%files -n gvim-gnome
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gvim.gnome
%{_desktopdir}/gvim-gnome.desktop
%endif

%if %{with heavy}
%files -n gvim-heavy
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gvim.heavy
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vim.spec,v $
Revision 1.431  2008/06/25 09:52:20  glen
- make compatible to build for ac

Revision 1.430  2008/06/20 17:24:28  adamg
- updated to 7.1.326

Revision 1.429  2008/06/07 19:21:18  adamg
- merge from AC-branch:
  - updated to 7.1.311
  - better link for oceandeep color scheme
  - new color scheme: moria
  - proper path for javascript.vim

Revision 1.428  2008-05-30 05:38:47  glen
- merge from AC-branch:
  - updated to 7.1.305
  - php.vim updated to 0.9.7
  - introduces borland.vim and oceandeep.vim color schemes
  - renumbered syntax / color schemes files
  - vim-heavy / gvim-heavy subpackages (todo done)
  - remove dep loop from vim-rt->vim->vim-rt
  - vimspell requires vim-rt, not vim
  - for applied selinux patch add --disable-selinux
- update bcond description
- fix invalid group
- rel 3

Revision 1.427  2008-04-07 08:48:21  glen
- -rt R: hicolor-icon-theme due dirdeps
- update to 7.1.291

Revision 1.426  2008-03-28 10:49:23  hawk
- release 2

Revision 1.425  2008-03-22 11:18:46  adamg
- updated to 7.1.285
- javascript.vim updated to 0.7.5
- use updated versions of exim.vim (20040206)and php.vim (0.9.6) syntax files
- package /usr/bin/gview (gvim in read-only mode)

Revision 1.424  2008-03-21 23:04:27  glen
- always update desktop db (rebuild with buggy macros too); rel 3

Revision 1.423  2008-03-15 16:19:17  glen
- release 2 (rel 1 for ac)

Revision 1.422  2008-03-14 22:13:24  adamg
- updated to 7.1.278

Revision 1.421  2008-02-16 10:49:56  blues
- vim-plugin-securemodelines should be suggested, not required

Revision 1.420  2008-02-09 11:04:58  glen
- update to 7.1.244, spec syntax separated

Revision 1.419  2008-01-22 13:39:23  glen
- vim-plugin-securemodelines is -rt dep

Revision 1.418  2008-01-21 19:12:57  glen
- update to 7.1.236, add vim-plugin-securemodelines to vim requires

Revision 1.417  2008-01-12 16:13:32  wrobell
- fixed desktop file
- todo cleanup: we have icon already
- rel. 2

Revision 1.416  2008-01-05 09:29:57  adamg
- updated to 7.1.203

Revision 1.415  2007-12-15 23:35:32  qboosh
- added unpackaged files

Revision 1.414  2007-12-04 06:20:43  glen
- up to 7.1.168, drop perl autodeps

Revision 1.413  2007-11-28 08:16:45  arekm
- rel 3

Revision 1.412  2007-11-08 22:50:47  glen
- up to 7.1.154

Revision 1.411  2007/11/07 00:27:20  glen
- rel 2

Revision 1.410  2007/10/22 12:34:36  arekm
- up to patchlevel 145

Revision 1.409  2007/10/10 15:29:11  baggins
- rel 2
- don't use vim features in vimrc if run as vi

Revision 1.408  2007/09/22 10:30:36  glen
- unpackaged files

Revision 1.407  2007/09/22 10:19:01  glen
- adapter

Revision 1.406  2007/09/20 07:55:48  glen
- update to 7.1.116

Revision 1.405  2007/09/06 21:28:53  adamg
- updated to 7.1.100

Revision 1.404  2007/08/12 11:44:34  qboosh
- -rt Obsoletes: gvim-bonobo

Revision 1.403  2007/08/12 11:23:08  wrobell
- updated to vim 7.1.063
- killed bonobo support; not updated for nearly 2 years by us; not updated
  by original author for over 3 years

Revision 1.402  2007/08/12 00:20:25  wrobell
- kill language dependencies as agreed (it seems) on devel list
- rel. 2

Revision 1.401  2007/07/24 10:19:51  adamg
- updated to 7.1.035

Revision 1.400  2007/07/23 12:11:15  glen
- don't downgrade release :)

Revision 1.399  2007/07/23 11:50:56  adamg
- oops; release 1

Revision 1.398  2007/07/23 11:49:13  glen
- use macro

Revision 1.397  2007/07/23 11:31:27  glen
- correct patchlevel

Revision 1.396  2007/07/23 08:53:55  adamg
- updated to 7.1.033
- vim-tutor-lessdeps patch updated (wrt patch 7.0.030)
- bumped rpmbuild(macros) BR to 1.351 (patchset macros)
- release 1

Revision 1.395  2007/06/21 13:22:40  baggins
- rel 4
- don't mouse=a in vimrc (none was default for years, and the change is a RPITA)

Revision 1.394  2007/06/05 15:20:01  czarny
- with python, ruby and tcl by default
- rel 3 for rebuild

Revision 1.393  2007/05/30 18:22:56  arekm
- rel 2

Revision 1.392  2007/05/15 11:10:24  glen
- let gui packages provide gvim

Revision 1.391  2007/05/13 08:22:18  adamg
- zenburn.vim and javascript.vim updated

Revision 1.390  2007/05/13 08:17:26  adamg
- missing patch

Revision 1.389  2007/05/13 08:12:20  adamg
- updated to 7.1
- vim-fstab-uuid.patch already applied

Revision 1.388  2007/05/03 22:50:48  glen
- todo

Revision 1.387  2007/04/30 19:49:08  arekm
- parallel install breaks man pages installation

Revision 1.386  2007/04/30 19:11:32  arekm
- extra tarball is used again for sake of easy patching; up to patchlevel 235

Revision 1.385  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.384  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.383  2006/12/22 18:34:35  glen
- recognize *.cron (from SOURCES) as cron file

Revision 1.382  2006/11/03 21:23:41  adamg
- updated to 7.0.158
- autopaste patch added

Revision 1.381  2006/10/20 14:49:23  glen
- update to 7.0.081 from AC-branch

Revision 1.380  2006/10/20 14:27:48  glen
- recognize UUID= in /etc/fstab

Revision 1.379  2006/10/13 08:18:55  qboosh
- Obsoletes: vim-plugin-multvals

Revision 1.378  2006/10/11 12:02:18  megabajt
- use %update_icon_cache macro

Revision 1.377  2006/10/03 23:45:04  qboosh
- added evim,eview,vimdiff,gvimdiff symlinks
- more man packaging fixes
- separated -spell-en
- hicolor-icon-theme deps (because of post/postun scripts)

Revision 1.376  2006/08/27 06:12:42  adamg
- 7.0.057 and 7.0.065 patches are not needed

Revision 1.375  2006/08/25 13:21:24  glen
- typo

Revision 1.374  2006/08/25 11:29:35  wrobell
- ver. 7.0.066
- build without python by default as python is set as dependency, now :/
  (it seems like cat and mouse game, we have to find the fucking rule)
- python 2.5 required to build

Revision 1.373  2006/08/09 21:57:48  adamg
- updated to 7.0.50

Revision 1.372  2006/08/01 16:36:36  wrobell
- ver. 7.0.42

Revision 1.371  2006/07/31 21:06:14  sparky
- fix for ncurses/tinfo as-needed problem: --with-tlib="ncurses -ltinfo"

Revision 1.370  2006/07/13 08:03:06  adamg
- updated to 7.0.039

Revision 1.369  2006/06/25 11:00:29  adamg
- updated to 7.0.035

Revision 1.368  2006/06/25 08:52:56  freetz
- "merged" manual pages changes from AC-branch, (re)generate icon-cache,
  use macros in gvim-gnome

Revision 1.367  2006/06/21 12:05:48  adamg
- updated to 7.0.022

Revision 1.366  2006/05/26 08:19:53  ankry
- it looks pt-like...

Revision 1.365  2006/05/25 23:04:18  wiget
- anyone know correct lang code for "pseudo-ja" ?

Revision 1.364  2006/05/23 09:24:28  qboosh
- release 3 (non-annoying spec ftplugin)

Revision 1.363  2006/05/21 23:06:58  qboosh
- don't mark spelling stuff with lang() - it's not the same as package localization
  (todo: separate vim-spell-en)

Revision 1.362  2006/05/20 13:43:37  qboosh
- man dirs need fix

Revision 1.361  2006/05/20 13:40:24  qboosh
- more lang files (ga,uk,vi)

Revision 1.360  2006/05/20 12:54:07  qboosh
- post-ispell cleanup

Revision 1.359  2006/05/18 11:34:45  qboosh
- added spell dir to vimfiles tree, release 2

Revision 1.358  2006/05/16 10:25:54  qboosh
- missing dir; and where [....] is pl dictionary?

Revision 1.357  2006/05/15 08:30:12  adamg
- dropped php.vim (included in tarball)
- updated and reenabled -apache.patch and -syntax-fstab.patch

Revision 1.356  2006/05/13 15:09:00  adamg
- updated to patchlevel 017 (excluding 7.0.005 - patch is for -extra)
- dropped -extra (seems there's nothing interesting for us there)
- unpack and include -lang

Revision 1.355  2006/05/09 16:13:14  wolf
- make it upgradeable

Revision 1.354  2006/05/08 10:47:37  arekm
- up to final 7.0

Revision 1.353  2006/04/30 22:43:38  adamg
- apply optional patches at the end
- updated todo

Revision 1.352  2006/04/30 22:26:50  adamg
- renumbered patches
- reenabled vim-po-syntax.patch

Revision 1.351  2006/04/30 22:15:53  adamg
- updated to to 7.0g

Revision 1.350  2006/04/29 12:09:09  glen
- proftpd config files autodetection update

Revision 1.349  2006/04/25 10:19:22  adamg
- updated to 7.0f
- updated javascript.vim to 0.5
- dropped kvim-desktop.patch

Revision 1.348  2006/04/18 14:22:22  adamg
- update -lang and -extra too

Revision 1.347  2006/04/18 13:41:48  adamg
- updated to 7.0e

Revision 1.346  2006/03/30 20:32:49  glen
- complete kvim dropping
- add -extra and -lang back

Revision 1.345  2006/03/30 20:23:22  glen
- add syntax/nagios and ftplugin/spec into main vim-rt paackge

Revision 1.344  2006/03/30 19:01:55  glen
- adapter

Revision 1.343  2006/03/29 21:57:39  arekm
- updated (ispell dropped - there is builtin spell check; drop kvim; it's no
  longer maintainer + broken by design)

Revision 1.342  2006/03/29 21:34:11  arekm
- package more files

Revision 1.341  2006/03/29 19:20:37  arekm
- 7.0 + todolist

Revision 1.340  2006/03/14 21:31:28  baggins
- release 2
- replace javascript syntax with something that highlights

Revision 1.279.2.5  2005/09/20 20:58:53  arekm
- up to .148

Revision 1.279.2.4  2005/08/18 07:21:51  jareq
- fix my mistake

Revision 1.279.2.3  2005/08/17 09:54:12  jareq
- up to 7.0 p131

Revision 1.279.2.2  2005/04/03 15:44:00  arekm
- up to 7.0 p65

Revision 1.279.2.1  2005/03/18 20:23:13  jareq
- updated to 7.0.060 (it's not stable version)
- patches need review

Revision 1.279  2005/03/11 19:51:09  adamg
- updated to 6.3.064

Revision 1.278  2005/02/24 11:21:19  glen
- add TODO

Revision 1.339  2006/03/07 17:39:52  arekm
- up to patchlevel 008

Revision 1.338  2006/03/07 16:57:08  glen
- remove "which" dep from vim-rt, rel 3

Revision 1.337  2006/03/05 12:14:01  glen
- rel 2

Revision 1.336  2006/02/28 10:14:43  adamg
- recognize .php4/.php5 as php scripts

Revision 1.335  2006/01/12 15:28:32  glen
- recognize *.tpl.html as Smarty templates

Revision 1.334  2005/12/30 01:23:59  adamg
- updated to 6.4.006

Revision 1.333  2005/12/26 23:48:35  twittner
- fix ruby BR - ruby -> ruby-devel

Revision 1.332  2005/12/25 00:25:22  glen
- rel 4

Revision 1.331  2005/12/19 15:47:02  glen
- updated apache config file detecting in SOURCES; rel 3

Revision 1.330  2005/12/18 19:03:34  glen
- detect apache2 configs; rel 2

Revision 1.329  2005/12/13 15:51:53  glen
- adapterized (sorted %verify attrs)

Revision 1.328  2005/11/30 15:25:22  adamg
- updated to 6.4.003
- updated php.vim to 1.20 (20051121)
- release 1

Revision 1.327  2005/11/10 13:04:55  glen
- describe why vim-rt needs which and mktemp
- remove bogus es translation

Revision 1.326  2005/10/30 08:14:40  qboosh
- added compiler,indent dirs to vimfiles tree

Revision 1.325  2005/10/29 10:16:59  qboosh
- don't bcond Patch entries

Revision 1.324  2005/10/28 22:13:03  qboosh
- readded (updated) pl.po patch, added pl.po part to selinux patch
- release 2

Revision 1.323  2005/10/25 18:02:55  arekm
- rel 1; kvim is being dropped (no longer maintained - use yzis.spec as kde alternative)

Revision 1.322  2005/10/25 17:52:42  glen
- updated syntax patches

Revision 1.321  2005/10/17 11:25:24  arekm
- up to 6.4.001 (but some todo issues left)

Revision 1.320  2005/10/09 01:49:53  glen
- add various syntax improvements from gentoo

Revision 1.319  2005/10/05 09:08:14  arekm
- rel 2

Revision 1.318  2005/10/05 07:53:18  blues
- removed obsoletes: vi from vim-static

Revision 1.317  2005/10/03 19:42:43  adamg
- updated to patchlevel 90, release 1

Revision 1.316  2005/09/28 11:40:59  blues
- added virtual property to satisfy many possible vim-editors

Revision 1.315  2005/09/27 21:04:53  blues
- vim-rt without vim makes no sense

Revision 1.314  2005/09/20 20:48:51  arekm
- rel 4

Revision 1.313  2005/09/12 11:21:27  glen
- temporarily bconded out patch22 and patch99 sources, as they don't exist in CVS

Revision 1.312  2005/09/09 20:12:35  emes
- updated patches to build with bonobo component

Revision 1.311  2005/09/04 21:38:42  glen
- kvim should be tropped

Revision 1.310  2005/09/04 21:08:33  glen
- kvim build fails parallel make, enforce one job

Revision 1.309  2005/08/27 17:57:38  darekr
- removed setting perms in %install
- sorted %verify flags

Revision 1.308  2005/08/10 10:44:43  saq
- awk.patch for bug#945 (avoid gawk dependency)

Revision 1.307  2005/08/09 17:24:38  baggins
- typo

Revision 1.306  2005/08/09 17:11:23  baggins
- release 2
- fstab syntax update

Revision 1.305  2005/07/29 11:34:54  adamg
- updated to patchlevel 86

Revision 1.304  2005/07/10 12:45:21  glen
- include vimfiles/doc/tags to package

Revision 1.303  2005/07/06 19:46:15  kali
- AMD64 path fixes

Revision 1.302  2005/07/05 21:08:20  arekm
- patchlevel 80.

Revision 1.301  2005/06/18 10:38:01  ankry
- tabs

Revision 1.300  2005/06/18 09:50:12  arekm
- up to patchlevel .78

Revision 1.299  2005/05/01 17:42:58  glen
- must use "||" in %post otherwise false error code is produced
- rel 8
- STBR

Revision 1.298  2005/05/01 10:49:02  qboosh
- updated python bcond desc

Revision 1.297  2005/05/01 10:44:53  glen
- require rpmmacros = 1.210 for %desktop_update macros
- rel 7

Revision 1.296  2005/04/30 18:21:20  wrobell
- update desktop database if /usr/bin/update-desktop-database exists
- enable python support by default - does add no python dependency to vim
  (it seems)
- rel. 6

Revision 1.295  2005/04/28 09:55:01  adamg
- leave only Perl interpreter enabled by default. Now let the thread die.

Revision 1.294  2005/04/27 14:48:14  adamg
- release 4

Revision 1.293  2005/04/27 14:29:10  adamg
- enable Perl/Ruby/Python/Tcl interps by default. For those who
  want to avoid unnecessary deps, there's still vim-static.

Revision 1.292  2005/04/27 06:22:21  speedy
- move icon to vim-rt package

Revision 1.291  2005/04/26 20:25:48  speedy
- release 3 (brrr... )

Revision 1.290  2005/04/26 20:24:16  speedy
- fix %install

Revision 1.289  2005/04/26 18:14:38  speedy
- release 2

Revision 1.288  2005/04/26 17:02:06  speedy
- fix auto/pathdef.c [double \( in Makefile ]
- install icons (vim.png)

Revision 1.287  2005/04/21 14:18:06  wolf
- cut changelog

Revision 1.286  2005/04/19 09:04:25  glen
- merged all .spec file syntaxes to single file and added to SOURCES

Revision 1.285  2005/04/14 17:27:09  freetz
- gtk filechooser patch added

Revision 1.284  2005/04/13 22:37:38  arekm
- fix Patches

Revision 1.283  2005/04/13 22:20:48  arekm
- patch level up to 071

Revision 1.282  2005/04/06 21:31:25  glen
- Obsolete -static package Obsoletes in main package when built without static

Revision 1.281  2005/04/03 14:49:22  arekm
- plevel 68
